## lsvpd 1.7.4

=== docs/Makefile ===
STYLE_PATH = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh
MAN_STYLE = $(STYLE_PATH)/manpages/docbook.xsl
XHTML_STYLE = $(STYLE_PATH)/xhtml/docbook.xsl
FOP_STYLE = $(STYLE_PATH)/fo/docbook.xsl

MANPAGES = lsvpd.8 lscfg.8 lsmcode.8 lsvio.8 vpdupdate.8
HTMLS = install.html

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = $(INSTALL) -m 755
INSTALL_DATA = $(INSTALL) -m 644

man8dir=man/man8

MANDEST=$(DESTDIR)/usr/share/

all:
	:

%.8:	%.xml
	xsltproc -o $@ --nonet $(MAN_STYLE) $<

%.html:	%.xml
	xsltproc -o $@ --nonet xhtml.xsl $<

%.pdf:	%.xml
	fop -xml $< -xsl fo.xsl -pdf $@

install:	all
	mkdir -p $(MANDEST)$(man8dir)
	for f in $(MANPAGES) ; do \
		$(INSTALL_DATA) $$f $(MANDEST)$(man8dir) ;\
		gzip -f $(MANDEST)$(man8dir)/$$f ;\
	done
	
distdir :
	:

# Do nothing!  We want those generated files in the tarball.
clean:
	:
	
distclean:
	:
	
uninstall:
	for f in $(MANPAGES) ; do \
		rm $(MANDEST)$(man8dir)/$$f ;\
		rm $(MANDEST)$(man8dir)/$$f.gz ;\
	done

=== debian/changelog ===
lsvpd (1.7.4-0ubuntu3) trusty; urgency=medium

  * Also add missing build-dependency on libsqlite3-dev.
  * Pull debian/copyright fix from upstream for GPL/CPL linkage.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Apr 2014 08:36:23 -0700

lsvpd (1.7.4-0ubuntu2) trusty; urgency=medium

  * Add missing build-dependency on libz-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Apr 2014 19:08:11 -0700

lsvpd (1.7.4-0ubuntu1) trusty; urgency=medium

  [ Frédéric Bonnard ]
  * Initial release.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Apr 2014 13:34:26 -0700

## lsvpd 1.7.5

=== debian/changelog ===
lsvpd (1.7.5-0ubuntu3~14.04) trusty; urgency=medium

  * debian/patches/Fix-lsvpd-return-code.patch: lsvpd: Fix return code
    issue.  Thanks to Kamalesh Babulal <kamaleshb@in.ibm.com>.  Closes
    LP: #1485446.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2015 17:31:36 -0700

lsvpd (1.7.5-0ubuntu2~14.04) trusty; urgency=medium

  * Upstream backports for hardware support and bugfix (LP: #1461557)
    - d/p/0001-VPD-Add-OPAL-version-details.patch:
      Add OPAL version details for PowerKVM.
    - d/p/0002-Look-up-at-Device-Tree-to-fill-Model-Name-for-PowerN.patch:
      Use the device tree to pick the right model name on PowerNV.
    - d/p/0003-lsmcode-Read-entire-proc-cpuinfo-to-fetch-platform.patch:
      Do a better job figuring out what platform we're on by reading cpuinfo.
    - debian/patches/0004-lsvpd-Defer-the-freeing-of-devSg.patch:
      Defer the freeing of devSg, because it gets passed to basename().

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 01:02:55 -0400

lsvpd (1.7.5-0ubuntu1~14.04) trusty; urgency=medium

  * Straight backport to trusty for ppc64el hardware enablement.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Jan 2015 16:45:16 -0700

lsvpd (1.7.5-0ubuntu1) utopic; urgency=medium

  * New upstream release, with build system and LE fixes (LP: #1361974)
  * Remove 000_remove_changelog, incorporated in the upstream cleanup.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 03 Oct 2014 16:48:51 -0600

=== debian/control ===
Source: lsvpd
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/linux-diag/files/lsvpd/

Package: lsvpd
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to List Device Vital Product Data (VPD)
 This utility lists device Vital Product Data (VPD), which includes the
 following information and more: vendor, version, revision level, serial
 number.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@  --with autoreconf

## lsvpd 1.7.6

=== debian/changelog ===
lsvpd (1.7.6-0ubuntu3) xenial; urgency=medium

  * No-change rebuild for librtas2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 12:27:05 +0000

lsvpd (1.7.6-0ubuntu2) xenial; urgency=medium

  * Add dependency on iprutils, since iprconfig is needed.  LP: #1537116.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Jan 2016 11:25:32 -0800

lsvpd (1.7.6-0ubuntu1) xenial; urgency=medium

  * New upstream release. (LP: #1521681)
  * debian/patches: drop all patches, they're applied upstream.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 14 Jan 2016 11:12:59 -0500

lsvpd (1.7.5-0ubuntu3) wily; urgency=medium

  * debian/patches/Fix-lsvpd-return-code.patch: lsvpd: Fix return code
    issue.  Thanks to Kamalesh Babulal <kamaleshb@in.ibm.com>.  Closes
    LP: #1485446.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2015 16:11:43 -0700

lsvpd (1.7.5-0ubuntu2) wily; urgency=medium

  * Upstream backports for hardware support and bugfix (LP: #1461557)
    - d/p/0001-VPD-Add-OPAL-version-details.patch:
      Add OPAL version details for PowerKVM.
    - d/p/0002-Look-up-at-Device-Tree-to-fill-Model-Name-for-PowerN.patch:
      Use the device tree to pick the right model name on PowerNV.
    - d/p/0003-lsmcode-Read-entire-proc-cpuinfo-to-fetch-platform.patch:
      Do a better job figuring out what platform we're on by reading cpuinfo.
    - debian/patches/0004-lsvpd-Defer-the-freeing-of-devSg.patch:
      Defer the freeing of devSg, because it gets passed to basename().

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 01:02:55 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: lsvpd
 Architecture: powerpc ppc64 ppc64el
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, iprutils
 Description: Utility to List Device Vital Product Data (VPD)
  This utility lists device Vital Product Data (VPD), which includes the
  following information and more: vendor, version, revision level, serial

## lsvpd 1.7.7

=== debian/changelog ===
lsvpd (1.7.7-1ubuntu2) zesty; urgency=medium

  * debian/patches/Add-function-to-search-command-in-standard-path.patch:
    Cherry-pick upstream patch to support finding iprconfig on the path
    instead of in a fixed location.  LP: #1666412.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Mar 2017 08:33:32 -0700

lsvpd (1.7.7-1ubuntu1) yakkety; urgency=medium

  * Drop the dependency on iprutils for right now; this pulls in daemons
    that start unconditionally whether or not there's hardware that needs
    them, and lsvpd has yet to be fixed up to properly use iprconfig on
    Ubuntu if present.  See LP #1417608 and LP #1537116.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2016 08:23:46 -0700

lsvpd (1.7.7-1) unstable; urgency=medium

  * Import from Ubuntu (Closes: #740173)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Wed, 01 Jun 2016 13:18:12 +0200

=== debian/control ===
Source: lsvpd
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
Standards-Version: 3.9.8
Homepage: http://sourceforge.net/projects/linux-diag/files/lsvpd/

Package: lsvpd
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to List Device Vital Product Data (VPD)
 This utility lists device Vital Product Data (VPD), which includes the
 following information and more: vendor, version, revision level, serial
 number.

## lsvpd 1.7.8

=== debian/changelog ===
lsvpd (1.7.8-2ubuntu1.1) bionic; urgency=medium

  * Merge three upstream commits. (LP: #1751986)
    - 0001-lsmcode-Fix-failure-of-displaying-all-device-possibl.patch
    - 0002-lsmcode-Add-product-version-string-to-firmware-infor.patch
    - 0003-vpdupdate-Validate-file-presence-before-reading-data.patch

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Jun 2018 11:32:31 -0700

lsvpd (1.7.8-2ubuntu1) bionic; urgency=medium

  * Merge three upstream commits (LP: #1744708)
    - 0001-Add-host-number-in-device-location-code-to-distingui.patch
    - 0002-lsmcode-Support-firmware-info-on-BMC-based-Power9-sy.patch
    - 0003-Use-ipmi-usb-interface-to-collect-fru-info.patch

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 Jan 2018 16:14:42 +0100

lsvpd (1.7.8-2) unstable; urgency=medium

  * d/postinst : removed as vpd database is updated at runtime now (LP:
    #1720304)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Wed, 04 Oct 2017 07:00:57 +0000

lsvpd (1.7.8-1) unstable; urgency=medium

  * New upstream release
  * d/p/0001-lsvpd-Add-workaround-for-std-ios_base-failure-issue.patch :
    workaround for libstdc++ issue (LP: #1719549)
  * d/copyright : remove all m4/* entries as corresponding files were removed
    upstream
  * d/control :
    - Fix accents in my name
  * d/control : upgrade Standard-version to 4.0.1
    - Use Priority optional instead of extra
    - d/copyright : using https for Format

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Thu, 28 Sep 2017 12:51:08 +0000

=== debian/control ===
Source: lsvpd
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
Standards-Version: 4.1.0
Homepage: http://sourceforge.net/projects/linux-diag/files/lsvpd/

Package: lsvpd
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, iprutils
Description: Utility to List Device Vital Product Data (VPD)
 This utility lists device Vital Product Data (VPD), which includes the
 following information and more: vendor, version, revision level, serial
 number.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with autoreconf

=== debian/watch ===
version=3
http://sf.net/linux-diag/lsvpd-(\d\S*).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lsvpd 1.7.9

=== debian/changelog ===
lsvpd (1.7.9-1) unstable; urgency=medium

  * New upstream release
  * Handle special upstream version of tag for gbp
  * Delete unneeded debian patch
  * Update packaging author information
  * Update d/copyright
  * d/control: use https for the homepage
  * d/control: update Vcs infos
  * Upgrade debhelper compatibility level
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 20 Jul 2018 11:26:31 +0200

=== debian/control ===
Source: lsvpd
Section: misc
Priority: optional
Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper (>= 11~), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
Standards-Version: 4.1.5
Homepage: https://sourceforge.net/projects/linux-diag/files/lsvpd/
Vcs-Git: https://salsa.debian.org/debian/lsvpd.git
Vcs-Browser: https://salsa.debian.org/debian/lsvpd

Package: lsvpd
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, iprutils
Description: Utility to List Device Vital Product Data (VPD)
 This utility lists device Vital Product Data (VPD), which includes the
 following information and more: vendor, version, revision level, serial
 number.

## lsvpd 1.7.10

=== debian/changelog ===
lsvpd (1.7.10-1ubuntu0.1) focal; urgency=medium

  * Cherrypick upstream commit to support NVME drives with f1h logpage
    version 0002. LP: #1874636

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Jun 2020 18:07:25 +0100

lsvpd (1.7.10-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:27 +0100

lsvpd (1.7.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Frédéric Bonnard ]
  * New upstream release ; use orig tarball generated from git to help moving
    to git debrebase (some files are in the release tarballs but not in git)
  * Remove copyright for files removed from orig tarball
  * Migrate to compatibility level 12
  * Add Rules-Requires-Root field
  * Bump Standards-Version
  * Depend on hwdata for pci.ids and usb.ids (Closes: #944835)

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 29 Jan 2020 15:29:02 +0100

=== debian/control ===
Source: lsvpd
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper-compat (= 12), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/linux-diag/files/lsvpd/
Vcs-Git: https://salsa.debian.org/debian/lsvpd.git
Vcs-Browser: https://salsa.debian.org/debian/lsvpd

Package: lsvpd
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, iprutils, hwdata
Description: Utility to List Device Vital Product Data (VPD)
 This utility lists device Vital Product Data (VPD), which includes the
 following information and more: vendor, version, revision level, serial
 number.

=== debian/watch ===
version=3
https://sf.net/linux-diag/lsvpd-(\d\S*).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lsvpd 1.7.11

=== debian/changelog ===
lsvpd (1.7.11-0ubuntu1) groovy; urgency=medium

  [ Frédéric Bonnard ]
  * Update URLs from sourceforge to github

  [ Balint Reczey ]
  * debian/watch: Fix URL and upgrade version
  * New upstream release (LP: #1874636)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 May 2020 14:46:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: https://sourceforge.net/projects/linux-diag/files/lsvpd/
+Homepage: https://github.com/power-ras/lsvpd
 Vcs-Git: https://salsa.debian.org/debian/lsvpd.git
 Vcs-Browser: https://salsa.debian.org/debian/lsvpd

=== debian/watch ===
version=4
https://github.com/power-ras/lsvpd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## lsvpd 1.7.13

=== debian/changelog ===
lsvpd (1.7.13-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:16:32 +0100

lsvpd (1.7.13-1) unstable; urgency=medium

  * Update to new upstream version 1.7.13.
  * Update d/copyright year
  * Bump Standards-Version to 4.6.0.1

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 01 Oct 2021 15:37:28 +0200

lsvpd (1.7.11-1) unstable; urgency=medium

  * Update to new upstream version 1.7.11.
  * debian/watch: Fix URL and upgrade version
  * Upgrade debhelper compatibility level

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 18 Aug 2020 17:24:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper-compat (= 12), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/power-ras/lsvpd
 Vcs-Git: https://salsa.debian.org/debian/lsvpd.git

## lsvpd 1.7.14

=== debian/changelog ===
lsvpd (1.7.14-1ubuntu3) plucky; urgency=medium

  * No-change rebuild against libsgutils2-1.48

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 Nov 2024 13:03:39 +0100

lsvpd (1.7.14-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:47 +0200

lsvpd (1.7.14-1ubuntu1) mantic; urgency=medium

  * No-change rebuild against libsgutils21.46-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 May 2023 11:37:51 +0000

lsvpd (1.7.14-1) unstable; urgency=medium

  * Update to new upstream version 1.7.14.
  * Update copyright details
  * Add pkg-config as needed build dependency

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 22 Apr 2022 16:04:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper-compat (= 13), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev
+Build-Depends: debhelper-compat (= 13), libvpd-dev, libsgutils2-dev, librtas-dev, libz-dev, libsqlite3-dev, pkg-config
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/power-ras/lsvpd

=== debian/watch ===
version=4
https://github.com/power-ras/lsvpd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
